Index: trunk/lib/FlairCore/src/AhrsData.cpp
===================================================================
--- trunk/lib/FlairCore/src/AhrsData.cpp	(revision 14)
+++ trunk/lib/FlairCore/src/AhrsData.cpp	(revision 15)
@@ -24,107 +24,106 @@
 using std::string;
 
-namespace flair { namespace core {
+namespace flair {
+namespace core {
 
 /*! \class AhrsDataElement
     */
-    class AhrsDataElement: public IODataElement {
-        public:
-
-            AhrsDataElement(const AhrsData *inAhrsData,string name,AhrsData::PlotableData_t inPlotableData):
-                            IODataElement(inAhrsData,name),
-                            ahrsData(inAhrsData),
-                            plotableData(inPlotableData) {
-
-                size=sizeof(float);
-            }
-
-            ~AhrsDataElement() {}
-
-            void CopyData(char* destination) const {
-                float data;
-                Vector3D angularRates;
-                Euler eulerAngles;
-                Quaternion quaternion;
-                ahrsData->GetQuaternionAndAngularRates(quaternion,angularRates);
-                quaternion.ToEuler(eulerAngles);
-                switch(plotableData) {
-                case AhrsData::Roll:
-                    data=eulerAngles.roll;
-                    break;
-                case AhrsData::Pitch:
-                    data=eulerAngles.pitch;
-                    break;
-                case AhrsData::Yaw:
-                    data=eulerAngles.yaw;
-                    break;
-                case AhrsData::RollDeg:
-                    data=Euler::ToDegree(eulerAngles.roll);
-                    break;
-                case AhrsData::PitchDeg:
-                    data=Euler::ToDegree(eulerAngles.pitch);
-                    break;
-                case AhrsData::YawDeg:
-                    data=Euler::ToDegree(eulerAngles.yaw);
-                    break;
-                case AhrsData::Q0:
-                    data=quaternion.q0;
-                    break;
-                case AhrsData::Q1:
-                    data=quaternion.q1;
-                    break;
-                case AhrsData::Q2:
-                    data=quaternion.q2;
-                    break;
-                case AhrsData::Q3:
-                    data=quaternion.q3;
-                    break;
-                case AhrsData::Wx:
-                    data=angularRates.x;
-                    break;
-                case AhrsData::Wy:
-                    data=angularRates.y;
-                    break;
-                case AhrsData::Wz:
-                    data=angularRates.z;
-                    break;
-                case AhrsData::WxDeg:
-                    data=Euler::ToDegree(angularRates.x);
-                    break;
-                case AhrsData::WyDeg:
-                    data=Euler::ToDegree(angularRates.y);
-                    break;
-                case AhrsData::WzDeg:
-                    data=Euler::ToDegree(angularRates.z);
-                    break;
-                default:
-                    ahrsData->Err("data type unavailable.\n");
-                    data=0;
-                    break;
-                }
-                memcpy(destination,&data,sizeof(float));
-            }
-
-            const FloatType &GetDataType(void) const {
-                return dataType;
-            }
-
-        private:
-            const AhrsData *ahrsData;
-            AhrsData::PlotableData_t plotableData;
-            FloatType dataType;
-
-    };
-
-AhrsData::AhrsData(const Object *parent,std::string name,int n): io_data(parent,name,n), dataType(floatType) {
-    if(n>1) Warn("n>1 not supported\n");
-
-    AppendLogDescription("q0",floatType);
-    AppendLogDescription("q1",floatType);
-    AppendLogDescription("q2",floatType);
-    AppendLogDescription("q3",floatType);
-
-    AppendLogDescription("wx",floatType);
-    AppendLogDescription("wy",floatType);
-    AppendLogDescription("wz",floatType);
+class AhrsDataElement : public IODataElement {
+public:
+  AhrsDataElement(const AhrsData *inAhrsData, string name,
+                  AhrsData::PlotableData_t inPlotableData)
+      : IODataElement(inAhrsData, name), ahrsData(inAhrsData),
+        plotableData(inPlotableData) {
+
+    size = sizeof(float);
+  }
+
+  ~AhrsDataElement() {}
+
+  void CopyData(char *destination) const {
+    float data;
+    Vector3D angularRates;
+    Euler eulerAngles;
+    Quaternion quaternion;
+    ahrsData->GetQuaternionAndAngularRates(quaternion, angularRates);
+    quaternion.ToEuler(eulerAngles);
+    switch (plotableData) {
+    case AhrsData::Roll:
+      data = eulerAngles.roll;
+      break;
+    case AhrsData::Pitch:
+      data = eulerAngles.pitch;
+      break;
+    case AhrsData::Yaw:
+      data = eulerAngles.yaw;
+      break;
+    case AhrsData::RollDeg:
+      data = Euler::ToDegree(eulerAngles.roll);
+      break;
+    case AhrsData::PitchDeg:
+      data = Euler::ToDegree(eulerAngles.pitch);
+      break;
+    case AhrsData::YawDeg:
+      data = Euler::ToDegree(eulerAngles.yaw);
+      break;
+    case AhrsData::Q0:
+      data = quaternion.q0;
+      break;
+    case AhrsData::Q1:
+      data = quaternion.q1;
+      break;
+    case AhrsData::Q2:
+      data = quaternion.q2;
+      break;
+    case AhrsData::Q3:
+      data = quaternion.q3;
+      break;
+    case AhrsData::Wx:
+      data = angularRates.x;
+      break;
+    case AhrsData::Wy:
+      data = angularRates.y;
+      break;
+    case AhrsData::Wz:
+      data = angularRates.z;
+      break;
+    case AhrsData::WxDeg:
+      data = Euler::ToDegree(angularRates.x);
+      break;
+    case AhrsData::WyDeg:
+      data = Euler::ToDegree(angularRates.y);
+      break;
+    case AhrsData::WzDeg:
+      data = Euler::ToDegree(angularRates.z);
+      break;
+    default:
+      ahrsData->Err("data type unavailable.\n");
+      data = 0;
+      break;
+    }
+    memcpy(destination, &data, sizeof(float));
+  }
+
+  const FloatType &GetDataType(void) const { return dataType; }
+
+private:
+  const AhrsData *ahrsData;
+  AhrsData::PlotableData_t plotableData;
+  FloatType dataType;
+};
+
+AhrsData::AhrsData(const Object *parent, std::string name, int n)
+    : io_data(parent, name, n), dataType(floatType) {
+  if (n > 1)
+    Warn("n>1 not supported\n");
+
+  AppendLogDescription("q0", floatType);
+  AppendLogDescription("q1", floatType);
+  AppendLogDescription("q2", floatType);
+  AppendLogDescription("q3", floatType);
+
+  AppendLogDescription("wx", floatType);
+  AppendLogDescription("wy", floatType);
+  AppendLogDescription("wz", floatType);
 }
 
@@ -132,119 +131,121 @@
 
 Quaternion AhrsData::GetQuaternion(void) const {
-    Quaternion out;
-    GetMutex();
-    out=quaternion;
-    ReleaseMutex();
-    return out;
+  Quaternion out;
+  GetMutex();
+  out = quaternion;
+  ReleaseMutex();
+  return out;
 }
 
 Vector3D AhrsData::GetAngularRates(void) const {
-    Vector3D out;
-    GetMutex();
-    out=angularRates;
-    ReleaseMutex();
-    return out;
-}
-
-void AhrsData::GetQuaternionAndAngularRates(Quaternion &outQuaternion,Vector3D &outAngularRates) const {
-    GetMutex();
-    outQuaternion=quaternion;
-    outAngularRates=angularRates;
-    ReleaseMutex();
-}
-
-void AhrsData::SetQuaternionAndAngularRates(const Quaternion &inQuaternion,const Vector3D &inAngularRates) {
-    GetMutex();
-    quaternion=inQuaternion;
-    angularRates=inAngularRates;
-    ReleaseMutex();
+  Vector3D out;
+  GetMutex();
+  out = angularRates;
+  ReleaseMutex();
+  return out;
+}
+
+void AhrsData::GetQuaternionAndAngularRates(Quaternion &outQuaternion,
+                                            Vector3D &outAngularRates) const {
+  GetMutex();
+  outQuaternion = quaternion;
+  outAngularRates = angularRates;
+  ReleaseMutex();
+}
+
+void AhrsData::SetQuaternionAndAngularRates(const Quaternion &inQuaternion,
+                                            const Vector3D &inAngularRates) {
+  GetMutex();
+  quaternion = inQuaternion;
+  angularRates = inAngularRates;
+  ReleaseMutex();
 }
 
 void AhrsData::SetQuaternion(const Quaternion &inQuaternion) {
-    GetMutex();
-    quaternion=inQuaternion;
-    ReleaseMutex();
+  GetMutex();
+  quaternion = inQuaternion;
+  ReleaseMutex();
 }
 
 void AhrsData::SetAngularRates(const Vector3D &inAngularRates) {
-    GetMutex();
-    angularRates=inAngularRates;
-    ReleaseMutex();
-}
-
-IODataElement* AhrsData::Element(PlotableData_t plotableData) const {
-    string name;
-    switch(plotableData) {
-    case AhrsData::Roll:
-        name="Roll";
-        break;
-    case AhrsData::Pitch:
-        name="Pitch";
-        break;
-    case AhrsData::Yaw:
-        name="Yaw";
-        break;
-     case AhrsData::RollDeg:
-        name="Roll degree";
-        break;
-    case AhrsData::PitchDeg:
-        name="Pitch degree";
-        break;
-    case AhrsData::YawDeg:
-        name="Yaw degree";
-        break;
-    case AhrsData::Q0:
-        name="Q0";
-        break;
-    case AhrsData::Q1:
-        name="Q1";
-        break;
-    case AhrsData::Q2:
-        name="Q2";
-        break;
-    case AhrsData::Q3:
-        name="Q3";
-        break;
-    case AhrsData::Wx:
-        name="Wx";
-        break;
-    case AhrsData::Wy:
-        name="Wy";
-        break;
-    case AhrsData::Wz:
-        name="Wz";
-        break;
-    case AhrsData::WxDeg:
-        name="Wx degree";
-        break;
-    case AhrsData::WyDeg:
-        name="Wy degree";
-        break;
-    case AhrsData::WzDeg:
-        name="Wz degree";
-        break;
-    default:
-        Err("data type unavailable.\n");
-    }
-
-    return new AhrsDataElement(this,name,plotableData);
+  GetMutex();
+  angularRates = inAngularRates;
+  ReleaseMutex();
+}
+
+IODataElement *AhrsData::Element(PlotableData_t plotableData) const {
+  string name;
+  switch (plotableData) {
+  case AhrsData::Roll:
+    name = "Roll";
+    break;
+  case AhrsData::Pitch:
+    name = "Pitch";
+    break;
+  case AhrsData::Yaw:
+    name = "Yaw";
+    break;
+  case AhrsData::RollDeg:
+    name = "Roll degree";
+    break;
+  case AhrsData::PitchDeg:
+    name = "Pitch degree";
+    break;
+  case AhrsData::YawDeg:
+    name = "Yaw degree";
+    break;
+  case AhrsData::Q0:
+    name = "Q0";
+    break;
+  case AhrsData::Q1:
+    name = "Q1";
+    break;
+  case AhrsData::Q2:
+    name = "Q2";
+    break;
+  case AhrsData::Q3:
+    name = "Q3";
+    break;
+  case AhrsData::Wx:
+    name = "Wx";
+    break;
+  case AhrsData::Wy:
+    name = "Wy";
+    break;
+  case AhrsData::Wz:
+    name = "Wz";
+    break;
+  case AhrsData::WxDeg:
+    name = "Wx degree";
+    break;
+  case AhrsData::WyDeg:
+    name = "Wy degree";
+    break;
+  case AhrsData::WzDeg:
+    name = "Wz degree";
+    break;
+  default:
+    Err("data type unavailable.\n");
+  }
+
+  return new AhrsDataElement(this, name, plotableData);
 }
 
 void AhrsData::CopyDatas(char *dst) const {
-    GetMutex();
-    Queue(&dst,&quaternion.q0,sizeof(quaternion.q0));
-    Queue(&dst,&quaternion.q1,sizeof(quaternion.q1));
-    Queue(&dst,&quaternion.q2,sizeof(quaternion.q2));
-    Queue(&dst,&quaternion.q3,sizeof(quaternion.q3));
-
-    Queue(&dst,&angularRates.x,sizeof(angularRates.x));
-    Queue(&dst,&angularRates.y,sizeof(angularRates.y));
-    Queue(&dst,&angularRates.z,sizeof(angularRates.z));
-    ReleaseMutex();
-}
-
-void AhrsData::Queue(char **dst,const void *src,size_t size) const {
-    memcpy(*dst,src,size);
-    *dst+=size;
+  GetMutex();
+  Queue(&dst, &quaternion.q0, sizeof(quaternion.q0));
+  Queue(&dst, &quaternion.q1, sizeof(quaternion.q1));
+  Queue(&dst, &quaternion.q2, sizeof(quaternion.q2));
+  Queue(&dst, &quaternion.q3, sizeof(quaternion.q3));
+
+  Queue(&dst, &angularRates.x, sizeof(angularRates.x));
+  Queue(&dst, &angularRates.y, sizeof(angularRates.y));
+  Queue(&dst, &angularRates.z, sizeof(angularRates.z));
+  ReleaseMutex();
+}
+
+void AhrsData::Queue(char **dst, const void *src, size_t size) const {
+  memcpy(*dst, src, size);
+  *dst += size;
 }
 
Index: trunk/lib/FlairCore/src/AhrsData.h
===================================================================
--- trunk/lib/FlairCore/src/AhrsData.h	(revision 14)
+++ trunk/lib/FlairCore/src/AhrsData.h	(revision 15)
@@ -18,158 +18,172 @@
 #include <Quaternion.h>
 
-namespace flair { namespace core {
+namespace flair {
+namespace core {
 
-    /*! \class AhrsData
-    *
-    * \brief Class defining AHRS datas
-    *
-    * AHRS datas consist of quaternion and rotational angles values. \n
-    *
-    */
-    class AhrsData: public io_data {
-        public:
-            class Type: public DataType {
-            public:
-                Type(const ScalarType &inElementDataType):
-                    elementDataType(inElementDataType) {}
-                const ScalarType  &GetElementDataType() const {return elementDataType;}
-                std::string GetDescription() const {return "ahrs data";}
-                size_t GetSize() const {
-                    return 7*elementDataType.GetSize();
-                }
-            private:
-                const ScalarType &elementDataType;
-            };
+/*! \class AhrsData
+*
+* \brief Class defining AHRS datas
+*
+* AHRS datas consist of quaternion and rotational angles values. \n
+*
+*/
+class AhrsData : public io_data {
+public:
+  class Type : public DataType {
+  public:
+    Type(const ScalarType &inElementDataType)
+        : elementDataType(inElementDataType) {}
+    const ScalarType &GetElementDataType() const { return elementDataType; }
+    std::string GetDescription() const { return "ahrs data"; }
+    size_t GetSize() const { return 7 * elementDataType.GetSize(); }
 
-            /*!
-            \enum PlotableData_t
-            \brief Datas wich can be plotted in a DataPlot1D
-            */
-            typedef enum {
-                Roll/*! roll */, Pitch/*! pitch */, Yaw/*! yaw */,
-                RollDeg/*! roll degree*/, PitchDeg/*! pitch degree */, YawDeg/*! yaw degree */,
-                Q0/*! quaternion 0 */, Q1/*! quaternion 1 */, Q2/*! quaternion 2 */, Q3/*! quaternion 3 */,
-                Wx/*! x filtered angular rate */, Wy/*! y filtered angular rate */, Wz/*! z filtered angular rate */,
-                WxDeg/*! x filtered angular rate degree*/, WyDeg/*! y filtered angular rate degree*/, WzDeg/*! z filtered angular rate degree*/,
-                } PlotableData_t;
+  private:
+    const ScalarType &elementDataType;
+  };
 
-            /*!
-            * \brief Constructor
-            *
-            * Construct an io_data representing AHRS datas. \n
-            *
-            * \param parent parent
-            * \param name name
-            * \param n number of samples
-            */
-            AhrsData(const Object* parent,std::string name="",int n=1);
+  /*!
+  \enum PlotableData_t
+  \brief Datas wich can be plotted in a DataPlot1D
+  */
+  typedef enum {
+    Roll /*! roll */,
+    Pitch /*! pitch */,
+    Yaw /*! yaw */,
+    RollDeg /*! roll degree*/,
+    PitchDeg /*! pitch degree */,
+    YawDeg /*! yaw degree */,
+    Q0 /*! quaternion 0 */,
+    Q1 /*! quaternion 1 */,
+    Q2 /*! quaternion 2 */,
+    Q3 /*! quaternion 3 */,
+    Wx /*! x filtered angular rate */,
+    Wy /*! y filtered angular rate */,
+    Wz /*! z filtered angular rate */,
+    WxDeg /*! x filtered angular rate degree*/,
+    WyDeg /*! y filtered angular rate degree*/,
+    WzDeg /*! z filtered angular rate degree*/,
+  } PlotableData_t;
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~AhrsData();
+  /*!
+  * \brief Constructor
+  *
+  * Construct an io_data representing AHRS datas. \n
+  *
+  * \param parent parent
+  * \param name name
+  * \param n number of samples
+  */
+  AhrsData(const Object *parent, std::string name = "", int n = 1);
 
-            /*!
-            * \brief Element
-            *
-            * Get a pointer to a specific element. This pointer can be used for plotting.
-            *
-            * \param plotableData data type
-            *
-            * \return pointer to the element
-            */
-            IODataElement *Element(PlotableData_t plotableData) const;
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~AhrsData();
 
-            /*!
-            * \brief Set quaternion
-            *
-            * This method is mutex protected.
-            *
-            * \param quaternion quaternion
-            *
-            */
-            void SetQuaternion(const Quaternion &quaternion);
+  /*!
+  * \brief Element
+  *
+  * Get a pointer to a specific element. This pointer can be used for plotting.
+  *
+  * \param plotableData data type
+  *
+  * \return pointer to the element
+  */
+  IODataElement *Element(PlotableData_t plotableData) const;
 
-            /*!
-            * \brief Get quaternion
-            *
-            * This method is mutex protected.
-            *
-            * \return quaternion
-            *
-            */
-            Quaternion GetQuaternion(void) const;
+  /*!
+  * \brief Set quaternion
+  *
+  * This method is mutex protected.
+  *
+  * \param quaternion quaternion
+  *
+  */
+  void SetQuaternion(const Quaternion &quaternion);
 
-            /*!
-            * \brief Set angular rates
-            *
-            * This method is mutex protected.
-            *
-            * \param angularRates angular rates
-            *
-            */
-            void SetAngularRates(const Vector3D &angularRates);
+  /*!
+  * \brief Get quaternion
+  *
+  * This method is mutex protected.
+  *
+  * \return quaternion
+  *
+  */
+  Quaternion GetQuaternion(void) const;
 
-            /*!
-            * \brief Get angular rates
-            *
-            * This method is mutex protected.
-            *
-            * \return angular rates
-            *
-            */
-            Vector3D GetAngularRates(void) const;
+  /*!
+  * \brief Set angular rates
+  *
+  * This method is mutex protected.
+  *
+  * \param angularRates angular rates
+  *
+  */
+  void SetAngularRates(const Vector3D &angularRates);
 
-            /*!
-            * \brief Get both quaternion and angular rates
-            *
-            * This method is mutex protected.
-            *
-            * \param quaternion quaternion
-            * \param angularRates angular rates
-            *
-            */
-            void GetQuaternionAndAngularRates(Quaternion &quaternion,Vector3D &angularRates) const;
+  /*!
+  * \brief Get angular rates
+  *
+  * This method is mutex protected.
+  *
+  * \return angular rates
+  *
+  */
+  Vector3D GetAngularRates(void) const;
 
-            /*!
-            * \brief Set both quaternion and angular rates
-            *
-            * This method is mutex protected.
-            *
-            * \param quaternion quaternion
-            * \param angularRates angular rates
-            *
-            */
-            void SetQuaternionAndAngularRates(const Quaternion &quaternion,const Vector3D &angularRates);
+  /*!
+  * \brief Get both quaternion and angular rates
+  *
+  * This method is mutex protected.
+  *
+  * \param quaternion quaternion
+  * \param angularRates angular rates
+  *
+  */
+  void GetQuaternionAndAngularRates(Quaternion &quaternion,
+                                    Vector3D &angularRates) const;
 
-            const Type &GetDataType() const {return dataType;}
-        private:
-            /*!
-            * \brief Copy datas
-            *
-            * Reimplemented from io_data. \n
-            * See io_data::CopyDatas.
-            *
-            * \param dst destination buffer
-            */
-            void CopyDatas(char *dst) const;
+  /*!
+  * \brief Set both quaternion and angular rates
+  *
+  * This method is mutex protected.
+  *
+  * \param quaternion quaternion
+  * \param angularRates angular rates
+  *
+  */
+  void SetQuaternionAndAngularRates(const Quaternion &quaternion,
+                                    const Vector3D &angularRates);
 
-            void Queue(char **dst,const void *src,size_t size) const;
+  const Type &GetDataType() const { return dataType; }
 
-            /*!
-            * \brief %Quaternion
-            *
-            */
-            Quaternion quaternion;
+private:
+  /*!
+  * \brief Copy datas
+  *
+  * Reimplemented from io_data. \n
+  * See io_data::CopyDatas.
+  *
+  * \param dst destination buffer
+  */
+  void CopyDatas(char *dst) const;
 
-            /*!
-            * \brief Angular rates
-            *
-            */
-            Vector3D angularRates;
+  void Queue(char **dst, const void *src, size_t size) const;
 
-            Type dataType;
-    };
+  /*!
+  * \brief %Quaternion
+  *
+  */
+  Quaternion quaternion;
+
+  /*!
+  * \brief Angular rates
+  *
+  */
+  Vector3D angularRates;
+
+  Type dataType;
+};
 
 } // end namespace core
Index: trunk/lib/FlairCore/src/Box.cpp
===================================================================
--- trunk/lib/FlairCore/src/Box.cpp	(revision 14)
+++ trunk/lib/FlairCore/src/Box.cpp	(revision 15)
@@ -21,54 +21,38 @@
 using std::string;
 
-namespace flair
-{
-namespace gui
-{
+namespace flair {
+namespace gui {
 
-Box::Box(const LayoutPosition* position,string name,string type): Widget(position->getLayout(),name,type)
-{
-    value_changed=true;
-    SetVolatileXmlProp("row",position->Row());
-    SetVolatileXmlProp("col",position->Col());
-    delete position;
+Box::Box(const LayoutPosition *position, string name, string type)
+    : Widget(position->getLayout(), name, type) {
+  value_changed = true;
+  SetVolatileXmlProp("row", position->Row());
+  SetVolatileXmlProp("col", position->Col());
+  delete position;
 }
 
-Box::~Box()
-{
-core::Object::ObjectName();
+Box::~Box() { core::Object::ObjectName(); }
+
+bool Box::ValueChanged(void) {
+  bool ret;
+
+  GetMutex();
+  if (value_changed == true) {
+    value_changed = false;
+    ret = true;
+  } else {
+    ret = false;
+  }
+  ReleaseMutex();
+
+  return ret;
 }
 
-bool Box::ValueChanged(void)
-{
-    bool ret;
+void Box::SetValueChanged(void) { value_changed = true; }
 
-    GetMutex();
-    if(value_changed==true)
-    {
-       value_changed=false;
-       ret=true;
-    }
-    else
-    {
-        ret=false;
-    }
-    ReleaseMutex();
+void Box::GetMutex(void) const { ((Layout *)Parent())->mutex->GetMutex(); }
 
-    return ret;
-}
-
-void Box::SetValueChanged(void)
-{
-    value_changed=true;
-}
-
-void Box::GetMutex(void) const
-{
-    ((Layout*)Parent())->mutex->GetMutex();
-}
-
-void Box::ReleaseMutex(void) const
-{
-    ((Layout*)Parent())->mutex->ReleaseMutex();
+void Box::ReleaseMutex(void) const {
+  ((Layout *)Parent())->mutex->ReleaseMutex();
 }
 
Index: trunk/lib/FlairCore/src/Box.h
===================================================================
--- trunk/lib/FlairCore/src/Box.h	(revision 14)
+++ trunk/lib/FlairCore/src/Box.h	(revision 15)
@@ -16,91 +16,92 @@
 #include <Widget.h>
 
-namespace flair
-{
-namespace gui
-{
+namespace flair {
+namespace gui {
 
-    class Layout;
-    class LayoutPosition;
+class Layout;
+class LayoutPosition;
 
-    /*! \class Box
-    *
-    * \brief Abstract class to display a box on the ground station
-    *
-    * This is an abstract class to display boxes (like CheckBox, SpinBox, etc). \n
-    * To access reimplemented box's value, use Box::GetMutex and Box::ReleaseMutex. \n
-    * Note that this mutex is in reality the one from the parent Layout. To minimize memory
-    * footprint, each Box does not have its own Mutex.
-    */
-    class Box: public Widget
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a Box. \n
-            * Type must agree with predifined (hard coded) types
-            * in ground station code. \n
-            * The Box will automatically be child of position->getLayout() Layout. After calling this method,
-            * position will be deleted as it is no longer usefull.
-            *
-            * \param position position
-            * \param name name
-            * \param type type
-            */
-            Box(const LayoutPosition* position,std::string name,std::string type);
+/*! \class Box
+*
+* \brief Abstract class to display a box on the ground station
+*
+* This is an abstract class to display boxes (like CheckBox, SpinBox, etc). \n
+* To access reimplemented box's value, use Box::GetMutex and Box::ReleaseMutex.
+*\n
+* Note that this mutex is in reality the one from the parent Layout. To minimize
+*memory
+* footprint, each Box does not have its own Mutex.
+*/
+class Box : public Widget {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a Box. \n
+  * Type must agree with predifined (hard coded) types
+  * in ground station code. \n
+  * The Box will automatically be child of position->getLayout() Layout. After
+  *calling this method,
+  * position will be deleted as it is no longer usefull.
+  *
+  * \param position position
+  * \param name name
+  * \param type type
+  */
+  Box(const LayoutPosition *position, std::string name, std::string type);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~Box();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~Box();
 
-            /*!
-            * \brief Has the value changed since last call?
-            *
-            * This method returns the value of an internal flag
-            * which is set through SetValueChanged(). \n
-            * After calling this method, the internal flag is
-            * set to false.
-            *
-            * \return true is valued has changed since last call
-            */
-            bool ValueChanged(void);
+  /*!
+  * \brief Has the value changed since last call?
+  *
+  * This method returns the value of an internal flag
+  * which is set through SetValueChanged(). \n
+  * After calling this method, the internal flag is
+  * set to false.
+  *
+  * \return true is valued has changed since last call
+  */
+  bool ValueChanged(void);
 
-        protected:
-            /*!
-            * \brief Set the value changed flag
-            *
-            * The reimplemented class must call this method when Box's value is changed. \n
-            * This method must be called with Mutex locked. Indeed, as reimplemented class
-            * also has to lock the Mutex to change the Box value, this mecanism avoid two successives
-            * lock and unlock.
-            *
-            */
-            void SetValueChanged(void);
+protected:
+  /*!
+  * \brief Set the value changed flag
+  *
+  * The reimplemented class must call this method when Box's value is changed.
+  *\n
+  * This method must be called with Mutex locked. Indeed, as reimplemented class
+  * also has to lock the Mutex to change the Box value, this mecanism avoid two
+  *successives
+  * lock and unlock.
+  *
+  */
+  void SetValueChanged(void);
 
-            /*!
-            * \brief Get Mutex
-            *
-            * This method must be called before changing Box's value or
-            * calling SetValueChanged().
-            *
-            */
-            void GetMutex(void) const;
+  /*!
+  * \brief Get Mutex
+  *
+  * This method must be called before changing Box's value or
+  * calling SetValueChanged().
+  *
+  */
+  void GetMutex(void) const;
 
-            /*!
-            * \brief Release Mutex
-            *
-             * This method must be called after changing Box's value or
-            *  calling SetValueChanged().
-            *
-            */
-            void ReleaseMutex(void) const;
+  /*!
+  * \brief Release Mutex
+  *
+   * This method must be called after changing Box's value or
+  *  calling SetValueChanged().
+  *
+  */
+  void ReleaseMutex(void) const;
 
-
-        private:
-            bool value_changed;
-    };
+private:
+  bool value_changed;
+};
 
 } // end namespace gui
Index: trunk/lib/FlairCore/src/CheckBox.cpp
===================================================================
--- trunk/lib/FlairCore/src/CheckBox.cpp	(revision 14)
+++ trunk/lib/FlairCore/src/CheckBox.cpp	(revision 15)
@@ -19,48 +19,42 @@
 using std::string;
 
-namespace flair
-{
-namespace gui
-{
+namespace flair {
+namespace gui {
 
-CheckBox::CheckBox(const LayoutPosition* position,string name,bool default_value):Box(position,name,"CheckBox")
-{
-    //update value from xml file
-    box_value=default_value;
+CheckBox::CheckBox(const LayoutPosition *position, string name,
+                   bool default_value)
+    : Box(position, name, "CheckBox") {
+  // update value from xml file
+  box_value = default_value;
 
-    GetPersistentXmlProp("value",box_value);
-    SetPersistentXmlProp("value",Value());
-    SendXml();
+  GetPersistentXmlProp("value", box_value);
+  SetPersistentXmlProp("value", Value());
+  SendXml();
 }
 
-CheckBox::~CheckBox()
-{
+CheckBox::~CheckBox() {}
 
+bool CheckBox::IsChecked(void) const {
+  bool tmp;
+
+  GetMutex();
+  tmp = box_value;
+  ReleaseMutex();
+
+  return tmp;
 }
 
-bool CheckBox::IsChecked(void) const
-{
-    bool tmp;
-
-    GetMutex();
-    tmp=box_value;
-    ReleaseMutex();
-
-    return tmp;
+int CheckBox::Value(void) const {
+  if (IsChecked() == true)
+    return 1;
+  else
+    return 0;
 }
 
-int CheckBox::Value(void) const
-{
-    if(IsChecked()==true)
-        return 1;
-    else
-        return 0;
-}
-
-void CheckBox::XmlEvent(void)
-{
-    GetMutex();
-    if(GetPersistentXmlProp("value",box_value)) SetValueChanged();
-    ReleaseMutex();
+void CheckBox::XmlEvent(void) {
+  GetMutex();
+  if (GetPersistentXmlProp("value", box_value))
+    SetValueChanged();
+  ReleaseMutex();
 }
 
